<?php
/********************************************************/
/* NSN Banner Ads                                       */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
    redirect_url("../../".$admin_file.".php");
    die();
}
$cid = $db->XMFnum($cid);
$chng_name = baclear_text($chng_name);
$chng_email = baclear_text($chng_email);
$chng_login = baclear_text($chng_login);
if(!get_magic_quotes_runtime()) {
  $chng_name = addslashes($chng_name);
  $chng_email = addslashes($chng_email);
  $chng_login = addslashes($chng_login);
}
if($chng_passwd != "") {
  $new_pass = md5($chng_passwd);
  $db->sql_query("UPDATE `".TABLE_NSNBA_CLIENTS."` SET `name`='$chng_name', `email`='$chng_email', `login`='$chng_login', `passwd`='$new_passwd' WHERE `cid`='$cid'");
} else {
  $db->sql_query("UPDATE `".TABLE_NSNBA_CLIENTS."` SET `name`='$chng_name', `email`='$chng_email', `login`='$chng_login' WHERE `cid`='$cid'");
}
redirect_url("".$admin_file.".php?op=BAClient");